Oracle Clustering compatibility from Confluence 2.10 to 4.3

I am currently working out a plan to upgrade our version of Confluence v2.10.2 to Confluence v4.3. We are performing this upgrade incrementally from 2.10.2 -> 3.5.17 -> 4.3.
However, I have a quick question about our Oracle RAC compatibility.
In summary, we have a 2 node Oracle RAC. We are running the following products and versions on our database servers:
  • Oracle Clusterware - Version 10.2.0.4.0
  • 10g Database - Version 10.2.0.4.0
  • Sun Cluster - Version 3.1
Are these technologies still compatible with Confluence v3.5 and v4.3?
Or will we need to upgrade these technologies ahead of our Confluence upgrade project?

1 answer

1 accepted

0 votes
Answer accepted

Hi Mervyn,

Strictly speaking neither Confluence 3.5.x nor v4.3.x actually support Oracle 10g databases, although in practice I'm not actually aware of any problems with customers running Confluence 4.3.x on Oracle 10g databases. However, they aren't tested configurations so you might find you have problems and need to upgrade the database, but I believe that in the short-term you wouldn't have problems with your current hardware although obviously you should perform a test upgrade first to avoid any unexpected problems

All the best,
John

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted 12 hours ago in United States

Atlassian acquires AgileCraft

         Good Day, Bad bad traffic, not sure why!!!! 1/2 hour commute took me 2 hours today 🤯 What helped me is that I kept browsing LinkedIn until...

46 views 4 0
View post

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you